## org.eclipse.emf.ecore.impl
Class EAttributeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.ETypedElementImpl
                                  org.eclipse.emf.ecore.impl.EStructuralFeatureImpl
                                      org.eclipse.emf.ecore.impl.EAttributeImpl

All Implemented Interfaces:
  Notifier, EAttribute, EModelElement, ENamedElement, EObject, EStructuralFeature, EStructuralFeature.Internal, ETypedElement, InternalEObject, BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder

    public class EAttributeImpl

extends EStructuralFeatureImpl
implements EAttribute

An implementation of the model object 'EAttribute'.

The following features are implemented:

- `ID`
- `EAttribute Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl

`EStructuralFeatureImpl.BasicFeatureMapEntry, EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry, EStructuralFeatureImpl.InternalSettingDelegateFeatureMapDelegator, EStructuralFeatureImpl.InternalSettingDelegateMany, EStructuralFeatureImpl.InternalSettingDelegateSingle, EStructuralFeatureImpl.InternalSettingDelegateSingleContainer, EStructuralFeatureImpl.InternalSettingDelegateSingleContainerResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleData, EStructuralFeatureImpl.InternalSettingDelegateSingleDataDynamic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataStatic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableStatic, EStructuralFeatureImpl.InternalSettingDelegateSingleEObject, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettableResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettableResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverse, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverseUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverse, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverseUnsettable, EStructuralFeatureImpl.InverseUpdatingFeatureMapEntry, EStructuralFeatureImpl.SettingMany, EStructuralFeatureImpl.SimpleContentFeatureMapEntry, EStructuralFeatureImpl.SimpleFeatureMapEntry`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`EStructuralFeature.Internal, EStructuralFeature.Setting`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal
`EStructuralFeature.Internal.DynamicValueHolder, EStructuralFeature.Internal.SettingDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EDataType` `eAttributeType`
`protected byte` `effectiveIsMany`
`protected static boolean` `ID_EDEFAULT` The default value of the '`ID`' attribute
`protected static int` `ID_EFLAG` The flag representing the value of the '`ID`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl

`cachedEType, cachedIsFeatureMap, CHANGEABLE_EDEFAULT, CHANGEABLE_EFLAG, containerClass, DEFAULT_VALUE_EDEFAULT, DEFAULT_VALUE_LITERAL_EDEFAULT, defaultValue, defaultValueFactory, defaultValueLiteral, DERIVED_EDEFAULT, DERIVED_EFLAG, eStructuralFeatureExtendedMetaData, featureID, prototypeFeatureMapEntry, settingDelegate, TRANSIENT_EDEFAULT, TRANSIENT_EFLAG, UNSETTABLE_EDEFAULT, UNSETTABLE_EFLAG, VOLATILE_EDEFAULT, VOLATILE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`eGenericType, eType, LOWER_BOUND_EDEFAULT, lowerBound, MANY_EDEFAULT, ORDERED_EDEFAULT, ORDERED_EFLAG, REQUIRED_EDEFAULT, UNIQUE_EDEFAULT, UNIQUE_EFLAG, UPPER_BOUND_EDEFAULT, upperBound`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EAttributeImpl()`

Method Summary
`EDataType` `basicGetEAttributeType()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected void` `freeze()`
`EDataType` `getEAttributeType()`
`boolean` `isID()`
`boolean` `isMany()` Returns the value of the 'Many' attribute
`NotificationChain` `setEType(EClassifier newEType, NotificationChain msgs)`
`void` `setID(boolean newID)`
`void` `setUpperBound(int upperBound)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl

`createFeatureMapSettingDelegate, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getEOpposite, getExtendedMetaData, getFeatureID, getFeatureMapEntryPrototype, getSettingDelegate, isChangeable, isContainer, isContainment, isDerived, isFeatureMap, isResolveProxies, isTransient, isUnsettable, isVolatile, setChangeable, setContainerClass, setDefaultValue, setDefaultValueLiteral, setDefaultValueLiteralGen, setDerived, setExtendedMetaData, setFeatureID, setFeatureMapEntryPrototype, setName, setSettingDelegate, setTransient, setUnsettable, setVolatile`

Methods inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`basicGetEType, basicSetEGenericType, basicUnsetEGenericType, getEGenericType, getEType, getLowerBound, getUpperBound, isOrdered, isRequired, isSetEGenericType, isSetEType, isUnique, setEGenericType, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, unsetEGenericType, unsetEType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getFeatureID, isChangeable, isDerived, isTransient, isUnsettable, isVolatile, setChangeable, setDefaultValue, setDefaultValueLiteral, setDerived, setTransient, setUnsettable, setVolatile`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eDirectResource, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment`

Field Detail

### ID_EDEFAULT

    protected static final boolean ID_EDEFAULT

  The default value of the '`ID`' attribute.

  See Also:
    `isID()`, Constant Field Values

### ID_EFLAG

    protected static final int ID_EFLAG

  The flag representing the value of the '`ID`' attribute.

  See Also:
    `isID()`, Constant Field Values

### effectiveIsMany

    protected byte effectiveIsMany

### eAttributeType

    protected EDataType eAttributeType

Constructor Detail

### EAttributeImpl

    protected EAttributeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EStructuralFeatureImpl`

### isID

    public boolean isID()

  Specified by:
    `isID` in interface `EAttribute`
  Specified by:
    `isID` in interface `EStructuralFeature.Internal`
  Overrides:
    `isID` in class `EStructuralFeatureImpl`
  Returns:
    whether this is an attribute that is an ID.
  See Also:
    `EClass.getEIDAttribute()`, `EAttribute.setID(boolean)`, `EcorePackage.getEAttribute_ID()`

### isMany

    public boolean isMany()

  Description copied from interface: `ETypedElement`
  Returns the value of the 'Many' attribute.

  It represents whether more than one value may appear in a valid instance.

  Specified by:
    `isMany` in interface `ETypedElement`
  Overrides:
    `isMany` in class `ETypedElementImpl`
  Returns:
    the value of the 'Many' attribute.
  See Also:
    `EcorePackage.getETypedElement_Many()`

### setUpperBound

    public void setUpperBound(int upperBound)

  Description copied from class: `ETypedElementImpl`

  Specified by:
    `setUpperBound` in interface `ETypedElement`
  Overrides:
    `setUpperBound` in class `ETypedElementImpl`
  Parameters:
    `upperBound` - the new value of the 'Upper Bound' attribute.
  See Also:
    `ETypedElement.getUpperBound()`

### setEType

    public NotificationChain setEType(EClassifier newEType,
                                      NotificationChain msgs)

  Overrides:
    `setEType` in class `ETypedElementImpl`

### setID

    public void setID(boolean newID)

  Specified by:
    `setID` in interface `EAttribute`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `EAttribute.isID()`

### getEAttributeType

    public EDataType getEAttributeType()

  Specified by:
    `getEAttributeType` in interface `EAttribute`
  Returns:
    the value of the 'EAttribute Type' reference.
  See Also:
    `EcorePackage.getEAttribute_EAttributeType()`

### basicGetEAttributeType

    public EDataType basicGetEAttributeType()

### freeze

    protected void freeze()

  Overrides:
    `freeze` in class `ETypedElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EStructuralFeatureImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EStructuralFeatureImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EStructuralFeatureImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EStructuralFeatureImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EStructuralFeatureImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.